Bug 1205459 - Review Request: mingw-qt5-qtwebsockets - Qt5 for Windows - QtWebSockets component
Summary: Review Request: mingw-qt5-qtwebsockets - Qt5 for Windows - QtWebSockets compo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 858058
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-24 23:21 UTC by Erik van Pienbroek
Modified: 2015-04-12 18:11 UTC (History)
3 users (show)

Fixed In Version: mingw-qt5-qtwebsockets-5.4.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-31 21:48:49 UTC
Type: Bug
kalevlember: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Erik van Pienbroek 2015-03-24 23:21:10 UTC
Spec URL: http://svn.nntpgrab.nl/svn/fedora_cross/mingw-qt5-qtwebsockets/mingw-qt5-qtwebsockets.spec
SRPM URL: http://koji.vanpienbroek.nl/kojifiles/packages/mingw-qt5-qtwebsockets/5.4.1/1.fc23/src/mingw-qt5-qtwebsockets-5.4.1-1.fc23.src.rpm
Koji scratch build: https://koji.vanpienbroek.nl/koji/buildinfo?buildID=258
Fedora Account System Username: epienbro
Description: 
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.

Comment 1 Kalev Lember 2015-03-25 23:13:23 UTC
Fedora review mingw-qt5-qtwebsockets-5.4.1-1.fc23.src.rpm 2015-03-25

$ rpmlint mingw-qt5-qtwebsockets-5.4.1-1.fc22.src.rpm \
          mingw32-qt5-qtwebsockets-5.4.1-1.fc22.noarch.rpm \
          mingw64-qt5-qtwebsockets-5.4.1-1.fc22.noarch.rpm \
          mingw32-qt5-qtwebsockets-debuginfo-5.4.1-1.fc22.noarch.rpm \
          mingw64-qt5-qtwebsockets-debuginfo-5.4.1-1.fc22.noarch.rpm
mingw-qt5-qtwebsockets.src:29: W: macro-in-comment %{qt_module}
mingw-qt5-qtwebsockets.src:29: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qtwebsockets.src:29: W: macro-in-comment %{qt_module}
mingw-qt5-qtwebsockets.src:29: W: macro-in-comment %{snapshot_rev}
mingw32-qt5-qtwebsockets-debuginfo.noarch: E: debuginfo-without-sources
mingw64-qt5-qtwebsockets-debuginfo.noarch: E: debuginfo-without-sources
5 packages and 0 specfiles checked; 2 errors, 4 warnings.

+ OK
! needs attention

+ rpmlint warnings are harmless and can be ignored
+ The package is named according to Fedora MinGW packaging guidelines
+ The spec file name matches the base package name.
+ The package meets the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The license field in the spec file matches the actual license
+ The stated license for the mingw package is the same as the one for the
  corresponding native Fedora package
! The license text is included in %license

  Can you use %license instead of %doc for the license files, please?

+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match the sources in the srpm
  308e1e9126e6fab8b06616db9810973e  qtwebsockets-opensource-src-5.4.1.tar.xz
  308e1e9126e6fab8b06616db9810973e  Download/qtwebsockets-opensource-src-5.4.1.tar.xz
+ The package builds in koji
n/a ExcludeArch bugs filed
+ BuildRequires look sane
n/a locale handling
n/a ldconfig in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
+ Package owns all the directories it creates
+ No duplicate files in %files
+ Permissions are properly set
+ Consistent use of macros
+ The package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect the runtime of application
n/a Static libraries should be in -static
n/a Development files should be in -devel
    Not applicable to MinGW packages.
n/a -devel must require the fully versioned base
+ Packages should not contain libtool .la files
n/a Proper .desktop file handling
+ Doesn't own files or directories already owned by other packages
+ Filenames are valid UTF-8

Looks good to me, just a minor problem with the %license vs %doc macros -- the guidelines were recently updated to require the %license macro for license files. Please fix this before importing.

APPROVED

Comment 2 Erik van Pienbroek 2015-03-26 07:53:51 UTC
Thanks for the review!

New Package SCM Request
=======================
Package Name: mingw-qt5-qtwebsockets
Short Description: Qt5 for Windows - QtWebSockets component
Upstream URL: http://www.qt.io/
Owners: epienbro
Branches: f20 f21 f22 epel7
InitialCC:

Comment 3 Gwyn Ciesla 2015-03-26 14:37:39 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2015-03-26 17:30:27 UTC
mingw-qt5-qtwebsockets-5.4.1-1.fc22,mingw-qt5-qtxmlpatterns-5.4.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/mingw-qt5-qtwebsockets-5.4.1-1.fc22,mingw-qt5-qtxmlpatterns-5.4.1-1.fc22

Comment 5 Fedora Update System 2015-03-26 17:32:51 UTC
mingw-qt5-qtwebsockets-5.4.1-1.fc21,mingw-qt5-qtxmlpatterns-5.4.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mingw-qt5-qtwebsockets-5.4.1-1.fc21,mingw-qt5-qtxmlpatterns-5.4.1-1.fc21

Comment 6 Fedora Update System 2015-03-26 17:33:16 UTC
mingw-qt5-qtwebsockets-5.4.1-1.fc20,mingw-qt5-qtxmlpatterns-5.4.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mingw-qt5-qtwebsockets-5.4.1-1.fc20,mingw-qt5-qtxmlpatterns-5.4.1-1.fc20

Comment 7 Fedora Update System 2015-03-26 17:33:47 UTC
mingw-qt5-qtwebsockets-5.4.1-1.el7,mingw-qt5-qtxmlpatterns-5.4.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mingw-qt5-qtwebsockets-5.4.1-1.el7,mingw-qt5-qtxmlpatterns-5.4.1-1.el7

Comment 8 Fedora Update System 2015-03-28 18:38:07 UTC
mingw-qt5-qtwebsockets-5.4.1-1.el7, mingw-qt5-qtxmlpatterns-5.4.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 9 Fedora Update System 2015-03-31 21:48:49 UTC
mingw-qt5-qtwebsockets-5.4.1-1.fc22, mingw-qt5-qtxmlpatterns-5.4.1-1.fc22 has been pushed to the Fedora 22 stable repository.

Comment 10 Fedora Update System 2015-04-06 08:32:57 UTC
mingw-qt5-qtwebsockets-5.4.1-1.fc21, mingw-qt5-qtxmlpatterns-5.4.1-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 11 Fedora Update System 2015-04-06 08:35:11 UTC
mingw-qt5-qtwebsockets-5.4.1-1.fc20, mingw-qt5-qtxmlpatterns-5.4.1-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 12 Fedora Update System 2015-04-12 18:11:01 UTC
mingw-qt5-qtwebsockets-5.4.1-1.el7, mingw-qt5-qtxmlpatterns-5.4.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.